Bug 435097 - xfig does not obey command line options
xfig does not obey command line options
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 06:11 EST by Bo Di Bo
Modified: 2008-03-01 04:26 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.2.5-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 04:26:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bo Di Bo 2008-02-27 06:11:22 EST
Description of problem:
xfig does not obey command line options

Version-Release number of selected component (if applicable):
Fedora 8
xfig-common-3.2.5-6.fc8

How reproducible:
always

Steps to Reproduce:
1. xfig -startgridmode 1
2.
3.
  
Actual results:
xfig starts in (default) grid mode 0

Expected results:
xfig should start in grid mode 1

Additional info:
Other command line options like -centimeters, -landscape, -portrait,
etc. are also not taken into account
Specifying options via .Xdefaults does work.
Comment 1 Hans de Goede 2008-02-28 15:33:00 EST
Thanks for reporting, fixed:

* Thu Feb 28 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 3.2.5-7
- Fix cmdline parsing (broken by renaming the binary) (bz 435097)

The new 3.2.5-7 version should show up in the updates repository in about a day.
Comment 2 Fedora Update System 2008-02-28 15:33:58 EST
xfig-3.2.5-7.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-01 04:26:39 EST
xfig-3.2.5-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.